## kmail 25.04.3

=== debian/changelog ===
kmail (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:47:10 +0100

kmail (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:50:10 +0100

kmail (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:09:52 +0100

kmail (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:53:06 +0100

kmail (4:24.12.3-0ubuntu2) plucky; urgency=medium

  * Bring back apparmor profile that fixes webengine userns crashes Bugfix-only upload. (LP: #2105385) 

 -- Scarlett Moore <sgmoore@debian.org>  Sat, 29 Mar 2025 10:23:57 -0700

kmail (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:30 -0500

=== debian/control ===
Source: kmail
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.04.3~),
               libakonadicontact-dev (>= 4:25.04.3~),
               libakonadimime-dev (>= 4:25.04.3~),
               libakonadisearch-dev (>= 4:25.04.3~),
               libgpg-error-dev (>= 1.36~),
               libgpgmepp-dev (>= 1.23.2~),
               libgravatar-dev (>= 4:25.04.3~),
               libkcalendarutils-dev (>= 4:25.04.3~),
               libkdepim-dev (>= 4:25.04.3~),
               libkf6bookmarks-dev (>= 6.6.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemviews-dev (>= 6.6.0~),
               libkf6jobwidgets-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6notifyconfig-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.6.0~),
               libkf6service-dev (>= 6.6.0~),
               libkf6sonnet-dev (>= 6.6.0~),
               libkf6statusnotifieritem-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6userfeedback-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.04.3~),
               libkldap-dev (>= 25.04.3~),
               libkleo-dev (>= 4:25.04.3~),
               libkmailtransport-dev (>= 25.04.3~),
               libkmime-dev (>= 25.04.3~),
               libkontactinterface-dev (>= 25.04.3~),
               libkpimtextedit-dev (>= 25.04.3~),
               libksieve-dev (>= 4:25.04.3~),
               libktextaddons-dev (>= 1.5.4~),
               libktnef-dev (>= 4:25.04.3~),
               libmailcommon-dev (>= 4:25.04.3~),
               libpimcommon-dev (>= 4:25.04.3~),
               libplasmaactivities-dev (>= 6.1.0~),
               messagelib-dev (>= 4:25.04.3~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
               qtkeychain-qt6-dev (>= 0.14.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kmail
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmail
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmail
Rules-Requires-Root: no

Package: kmail
Section: mail
Architecture: amd64 arm64 armhf i386
Pre-Depends: ${misc:Pre-Depends},
Depends: akonadi-server (>= 4:24.08~),
         kdepim-runtime (>= 4:24.08~),
         libakonadisearch-bin (>= 4:24.08~),
         libakonadisearch-plugins (>= 4:24.08~),
         libgrantleetheme-plugins (>= 24.08~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: accountwizard,
            gnupg,
            kdepim-addons,
            kdepim-themeeditors,
            mbox-importer,
            pim-data-exporter,
            pim-sieve-editor,
            pinentry-qt | pinentry-x11,
Suggests: apparmor,
          clamav,
          kaddressbook,
          kleopatra,
          procmail,
          spamassassin | bogofilter | spambayes (>= 1.0.4-6) | bsfilter | crm114,
Provides: imap-client, mail-reader,
Homepage: http://kontact.kde.org/kmail/
Description: full featured graphical email client
 KMail supports multiple accounts, mail filtering and email encryption.
 The program let you configure your workflow and it has good integration into
 KDE (Plasma Desktop) but is also useable with other Desktop Environments.

## kmail 25.07.80

=== debian/changelog ===
kmail (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:42:17 +0100

=== debian/control ===
--- 
+++ 
@@ -13,15 +13,15 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.04.3~),
-               libakonadicontact-dev (>= 4:25.04.3~),
-               libakonadimime-dev (>= 4:25.04.3~),
-               libakonadisearch-dev (>= 4:25.04.3~),
+               libakonadi-dev (>= 4:25.07.80~),
+               libakonadicontact-dev (>= 4:25.07.80~),
+               libakonadimime-dev (>= 4:25.07.80~),
+               libakonadisearch-dev (>= 4:25.07.80~),
                libgpg-error-dev (>= 1.36~),
                libgpgmepp-dev (>= 1.23.2~),
-               libgravatar-dev (>= 4:25.04.3~),
-               libkcalendarutils-dev (>= 4:25.04.3~),
-               libkdepim-dev (>= 4:25.04.3~),
+               libgravatar-dev (>= 4:25.07.80~),
+               libkcalendarutils-dev (>= 4:25.07.80~),
+               libkdepim-dev (>= 4:25.07.80~),
                libkf6bookmarks-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -48,20 +48,20 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.04.3~),
-               libkldap-dev (>= 25.04.3~),
-               libkleo-dev (>= 4:25.04.3~),
-               libkmailtransport-dev (>= 25.04.3~),
-               libkmime-dev (>= 25.04.3~),
-               libkontactinterface-dev (>= 25.04.3~),
-               libkpimtextedit-dev (>= 25.04.3~),
-               libksieve-dev (>= 4:25.04.3~),
+               libkidentitymanagement-dev (>= 25.07.80~),
+               libkldap-dev (>= 25.07.80~),
+               libkleo-dev (>= 4:25.07.80~),
+               libkmailtransport-dev (>= 25.07.80~),
+               libkmime-dev (>= 25.07.80~),
+               libkontactinterface-dev (>= 25.07.80~),
+               libkpimtextedit-dev (>= 25.07.80~),
+               libksieve-dev (>= 4:25.07.80~),
                libktextaddons-dev (>= 1.5.4~),
-               libktnef-dev (>= 4:25.04.3~),
-               libmailcommon-dev (>= 4:25.04.3~),
-               libpimcommon-dev (>= 4:25.04.3~),
+               libktnef-dev (>= 4:25.07.80~),
+               libmailcommon-dev (>= 4:25.07.80~),
+               libpimcommon-dev (>= 4:25.07.80~),
                libplasmaactivities-dev (>= 6.1.0~),
-               messagelib-dev (>= 4:25.04.3~),
+               messagelib-dev (>= 4:25.07.80~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## kmail 25.07.90

=== debian/changelog ===
kmail (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:50:30 +0100

=== debian/control ===
--- 
+++ 
@@ -13,15 +13,15 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.07.80~),
-               libakonadicontact-dev (>= 4:25.07.80~),
-               libakonadimime-dev (>= 4:25.07.80~),
-               libakonadisearch-dev (>= 4:25.07.80~),
+               libakonadi-dev (>= 4:25.07.90~),
+               libakonadicontact-dev (>= 4:25.07.90~),
+               libakonadimime-dev (>= 4:25.07.90~),
+               libakonadisearch-dev (>= 4:25.07.90~),
                libgpg-error-dev (>= 1.36~),
                libgpgmepp-dev (>= 1.23.2~),
-               libgravatar-dev (>= 4:25.07.80~),
-               libkcalendarutils-dev (>= 4:25.07.80~),
-               libkdepim-dev (>= 4:25.07.80~),
+               libgravatar-dev (>= 4:25.07.90~),
+               libkcalendarutils-dev (>= 4:25.07.90~),
+               libkdepim-dev (>= 4:25.07.90~),
                libkf6bookmarks-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -48,20 +48,20 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.80~),
-               libkldap-dev (>= 25.07.80~),
-               libkleo-dev (>= 4:25.07.80~),
-               libkmailtransport-dev (>= 25.07.80~),
-               libkmime-dev (>= 25.07.80~),
-               libkontactinterface-dev (>= 25.07.80~),
-               libkpimtextedit-dev (>= 25.07.80~),
-               libksieve-dev (>= 4:25.07.80~),
+               libkidentitymanagement-dev (>= 25.07.90~),
+               libkldap-dev (>= 25.07.90~),
+               libkleo-dev (>= 4:25.07.90~),
+               libkmailtransport-dev (>= 25.07.90~),
+               libkmime-dev (>= 25.07.90~),
+               libkontactinterface-dev (>= 25.07.90~),
+               libkpimtextedit-dev (>= 25.07.90~),
+               libksieve-dev (>= 4:25.07.90~),
                libktextaddons-dev (>= 1.5.4~),
-               libktnef-dev (>= 4:25.07.80~),
-               libmailcommon-dev (>= 4:25.07.80~),
-               libpimcommon-dev (>= 4:25.07.80~),
+               libktnef-dev (>= 4:25.07.90~),
+               libmailcommon-dev (>= 4:25.07.90~),
+               libpimcommon-dev (>= 4:25.07.90~),
                libplasmaactivities-dev (>= 6.1.0~),
-               messagelib-dev (>= 4:25.07.80~),
+               messagelib-dev (>= 4:25.07.90~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## kmail 25.08.0

=== debian/changelog ===
kmail (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:54:27 +0100

=== debian/control ===
--- 
+++ 
@@ -13,15 +13,15 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.07.90~),
-               libakonadicontact-dev (>= 4:25.07.90~),
-               libakonadimime-dev (>= 4:25.07.90~),
-               libakonadisearch-dev (>= 4:25.07.90~),
+               libakonadi-dev (>= 4:25.08.0~),
+               libakonadicontact-dev (>= 4:25.08.0~),
+               libakonadimime-dev (>= 4:25.08.0~),
+               libakonadisearch-dev (>= 4:25.08.0~),
                libgpg-error-dev (>= 1.36~),
                libgpgmepp-dev (>= 1.23.2~),
-               libgravatar-dev (>= 4:25.07.90~),
-               libkcalendarutils-dev (>= 4:25.07.90~),
-               libkdepim-dev (>= 4:25.07.90~),
+               libgravatar-dev (>= 4:25.08.0~),
+               libkcalendarutils-dev (>= 4:25.08.0~),
+               libkdepim-dev (>= 4:25.08.0~),
                libkf6bookmarks-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -48,20 +48,20 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.90~),
-               libkldap-dev (>= 25.07.90~),
-               libkleo-dev (>= 4:25.07.90~),
-               libkmailtransport-dev (>= 25.07.90~),
-               libkmime-dev (>= 25.07.90~),
-               libkontactinterface-dev (>= 25.07.90~),
-               libkpimtextedit-dev (>= 25.07.90~),
-               libksieve-dev (>= 4:25.07.90~),
+               libkidentitymanagement-dev (>= 25.08.0~),
+               libkldap-dev (>= 25.08.0~),
+               libkleo-dev (>= 4:25.08.0~),
+               libkmailtransport-dev (>= 25.08.0~),
+               libkmime-dev (>= 25.08.0~),
+               libkontactinterface-dev (>= 25.08.0~),
+               libkpimtextedit-dev (>= 25.08.0~),
+               libksieve-dev (>= 4:25.08.0~),
                libktextaddons-dev (>= 1.5.4~),
-               libktnef-dev (>= 4:25.07.90~),
-               libmailcommon-dev (>= 4:25.07.90~),
-               libpimcommon-dev (>= 4:25.07.90~),
+               libktnef-dev (>= 4:25.08.0~),
+               libmailcommon-dev (>= 4:25.08.0~),
+               libpimcommon-dev (>= 4:25.08.0~),
                libplasmaactivities-dev (>= 6.1.0~),
-               messagelib-dev (>= 4:25.07.90~),
+               messagelib-dev (>= 4:25.08.0~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## kmail 25.08.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.1")

project(kmail VERSION ${PIM_VERSION})

include(CheckIncludeFiles)

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    *.cpp
    *.h
    *.c
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

# Do NOT add quote
set(KDEPIM_DEV_VERSION)
set(RELEASE_SERVICE_VERSION "25.08.1")

# Update it for each release
set(KMAIL_RELEASE_VERSION_DATE "25.09.11") # yy.MM.dd

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(AKONADI_MIMELIB_VERSION "6.5.1")
set(AKONADI_CONTACT_VERSION "6.5.1")
set(CALENDARUTILS_LIB_VERSION "6.5.1")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
set(KLDAP_LIB_VERSION "6.5.1")
set(KMAILTRANSPORT_LIB_VERSION "6.5.1")
set(KONTACTINTERFACE_LIB_VERSION "6.5.1")
set(KMIME_LIB_VERSION "6.5.1")
set(KPIMTEXTEDIT_LIB_VERSION "6.5.1")
set(AKONADI_VERSION "6.5.1")
set(KTNEF_LIB_VERSION "6.5.1")
set(GPG_ERROR_REQUIRED_VERSION "1.36")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

set(KTEXTADDONS_MIN_VERSION "1.6.0")
option(
    KDEPIM_ENTERPRISE_BUILD
    "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client."
    FALSE
)

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        DBus
        Network
        Test
        Widgets
        WebEngineWidgets
)
set(LIBGRAVATAR_VERSION "6.5.1")
set(MAILCOMMON_LIB_VERSION "6.5.1")
set(MESSAGELIB_LIB_VERSION "6.5.1")
set(LIBKLEO_LIB_VERSION "6.5.1")
set(PIMCOMMON_LIB_VERSION "6.5.1")
set(LIBKDEPIM_LIB_VERSION "6.5.1")
set(LIBKSIEVE_LIB_VERSION "6.5.1")
set(AKONADI_SEARCH_VERSION "6.5.1")
set(QT6KEYCHAIN_LIB_VERSION "0.14.2")

find_package(KPim6WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)

option(
    FORCE_DISABLE_AKONADI_SEARCH
    "Disable features and API that require akonadi-search, e.g. because xapian isn't available"
    OFF
)
if(UNIX)
    if(NOT FORCE_DISABLE_AKONADI_SEARCH)
        find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG REQUIRED)
        set_package_properties(
            KPim6AkonadiSearch
            PROPERTIES
                DESCRIPTION
                    "The Akonadi Search libraries"
                URL
                    "https://invent.kde.org/pim/akonadi-search"
                TYPE
                    REQUIRED
                PURPOSE
                    "Provides search capabilities in KMail and Akonadi"
        )
    endif()
else()
    if(NOT FORCE_DISABLE_AKONADI_SEARCH)
        find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG)
        set_package_properties(
            KPim6AkonadiSearch
            PROPERTIES
                DESCRIPTION
                    "The Akonadi Search libraries"
                URL
                    "https://invent.kde.org/pim/akonadi-search"
                TYPE
                    OPTIONAL
                PURPOSE
                    "Provides search capabilities in KMail and Akonadi"
        )
    endif()
endif()

if(NOT KPim6AkonadiSearch_FOUND)
    set(KMAIL_FORCE_DISABLE_AKONADI_SEARCH TRUE)
endif()

set(GPGMEPP_LIB_VERSION "1.23.2")
find_package(Gpgmepp ${GPGMEPP_LIB_VERSION} CONFIG REQUIRED)

# Find KF6 package
find_package(KF6Bookmarks ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(
    KF6DocTools
    PROPERTIES
        DESCRIPTION
            "Tools to generate documentation"
        TYPE
            OPTIONAL
)
find_package(KF6GuiAddons ${KF_MIN_VERSION} REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemViews ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6JobWidgets ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Notifications ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6NotifyConfig ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Parts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Service ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Sonnet ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WindowSystem ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactWidgets ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6Gravatar ${LIBGRAVATAR_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6KSieveUi ${LIBKSIEVE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Tnef ${KTNEF_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransportDBusService CONFIG REQUIRED)
find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)

set(CMAKE_MODULE_PATH
    ${LIBKLEO_MODULE_PATH}
    ${CMAKE_MODULE_PATH}
)
find_package(LibGpgError ${GPG_ERROR_REQUIRED_VERSION} REQUIRED)

find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
set_package_properties(
    KF6TextEditTextToSpeech
    PROPERTIES
        DESCRIPTION
            "Add support for text to speech"
        TYPE
            OPTIONAL
)
if(TARGET KF6::TextEditTextToSpeech)
    add_definitions(-DHAVE_TEXT_TO_SPEECH_SUPPORT)
endif()
find_package(KF6TextAutoCorrectionWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextUtils ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(Qt6Keychain ${QT6KEYCHAIN_LIB_VERSION} CONFIG)
set_package_properties(
    Qt6Keychain
    PROPERTIES
        DESCRIPTION
            "Provides support for secure credentials storage"
        URL
            "https://github.com/frankosterfeld/qtkeychain"
        TYPE
            REQUIRED
)

configure_file(config-enterprise.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-enterprise.h)

include_directories(
    ${kmail_SOURCE_DIR}
    ${kmail_BINARY_DIR}
)
configure_file(kmail-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/kmail-version.h @ONLY)
if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0
    KF 6.16.0
)
find_package(KF6UserFeedback ${KF_MIN_VERSION} CONFIG)
set_package_properties(
    KF6UserFeedback
    PROPERTIES
        DESCRIPTION
            "User Feedback lib"
        TYPE
            OPTIONAL
        PURPOSE
            "Allow to send Telemetry Information (optional)."
)

if(TARGET KF6::UserFeedbackWidgets)
    set(KMAIL_WITH_KUSERFEEDBACK true)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

if(TARGET KPim6::PimCommonActivities)
    option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities (experimental)" ON)
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            set(OPTION_USE_PLASMA_ACTIVITIES true)
        else()
            set(OPTION_USE_PLASMA_ACTIVITIES false)
        endif()
    endif()
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            find_package(PlasmaActivities "6.3.0")
            set_package_properties(
                PlasmaActivities
                PROPERTIES
                    DESCRIPTION
                        "Allow to compile with plasma activities"
                    TYPE
                        OPTIONAL
            )
        endif()

        if(TARGET Plasma::Activities)
            set(KMAIL_HAVE_ACTIVITY_SUPPORT TRUE)
        endif()
    endif()
endif()

configure_file(config-kmail.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kmail.h)

add_subdirectory(src)
add_subdirectory(agents)
add_subdirectory(ktnef)
add_subdirectory(kmail-refresh-settings)
ecm_qt_install_logging_categories(
    EXPORT KMAIL
    FILE kmail.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== agents/sendlateragent/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_sendlater_agent\")

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

set(sendlater_common_SRCS)
ecm_qt_declare_logging_category(sendlater_common_SRCS HEADER sendlateragent_debug.h IDENTIFIER SENDLATERAGENT_LOG CATEGORY_NAME org.kde.pim.sendlateragent
        DESCRIPTION "kmail (sendlateragent)"
        OLD_CATEGORY_NAMES log_sendlateragent
        EXPORT KMAIL
)

set(libsendlateragent_SRCS
    sendlaterconfigurewidget.cpp
    sendlatermanager.cpp
    sendlaterjob.cpp
    sendlaterutil.cpp
    sendlaterconfigurewidget.h
    sendlatermanager.h
    sendlaterjob.h
    sendlaterutil.h
    ${sendlater_common_SRCS}
)

set(sendlateragent_SRCS
    sendlateragent.cpp
    sendlateragent.h
)

qt_add_dbus_adaptor(sendlateragent_SRCS org.freedesktop.Akonadi.SendLaterAgent.xml sendlateragent.h SendLaterAgent)

ki18n_wrap_ui(libsendlateragent_SRCS ui/sendlaterconfigurewidget.ui)
kconfig_add_kcfg_files(libsendlateragent_SRCS sendlateragentsettings.kcfgc)
add_library(sendlateragent STATIC ${libsendlateragent_SRCS})
set_property(
    TARGET
        sendlateragent
    PROPERTY
        POSITION_INDEPENDENT_CODE
            ON
)

#if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
#    set_target_properties(sendlateragent PROPERTIES UNITY_BUILD ON)
#endif()

target_link_libraries(
    sendlateragent
    KPim6::AkonadiCore
    KPim6::AkonadiMime
    KPim6::MailTransport
    KPim6::Mime
    KPim6::MessageComposer
    KPim6::MessageCore
    KPim6::PimCommon
    KF6::DBusAddons
    KF6::WindowSystem
    KF6::XmlGui
    KF6::Notifications
    KF6::I18n
)

add_executable(akonadi_sendlater_agent ${sendlateragent_SRCS})
target_link_libraries(
    akonadi_sendlater_agent
    sendlateragent
    KPim6::AkonadiAgentWidgetBase
)

if(APPLE)
    set_target_properties(
        akonadi_sendlater_agent
        PROPERTIES
            MACOSX_BUNDLE_INFO_PLIST
                ${kmail_SOURCE_DIR}/agents/Info.plist.template
    )
    set_target_properties(
        akonadi_sendlater_agent
        PROPERTIES
            MACOSX_BUNDLE_BUNDLE_NAME
                "KDE Akonadi Send Later"
    )
endif()

install(
    TARGETS
        akonadi_sendlater_agent
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES sendlateragent.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")
install(FILES akonadi_sendlater_agent.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

########## Configuration ##############

set(sendlateragentconfig_SRCS
    sendlaterinfoconfigwidget.cpp
    sendlaterinfoconfigwidget.h
    sendlaterremovemessagejob.cpp
    sendlaterremovemessagejob.h
)

kcoreaddons_add_plugin(sendlateragentconfig
    SOURCES ${sendlateragentconfig_SRCS}
    INSTALL_NAMESPACE pim6/akonadi/config
)
target_link_libraries(
    sendlateragentconfig
    sendlateragent
    KPim6::AkonadiCore
    KF6::XmlGui
    KF6::I18n
)

=== src/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

########### dbus test ###############
set(dbustest_SRCS dbustest.cpp)
qt_add_dbus_interfaces(dbustest_SRCS ${kmail_BINARY_DIR}/src/org.kde.kmail.kmail.xml)
add_executable(dbustest ${dbustest_SRCS})
add_dependencies(dbustest kmail_xml)
target_link_libraries(
    dbustest
    KF6::KIOCore
    KF6::I18n
    Qt::DBus
)

#####
add_executable(
    searchdbustest
    searchdbustest.cpp
    searchdbustest.h
)
target_link_libraries(
    searchdbustest
    Qt::DBus
    Qt::Widgets
    KPim6::PimCommonAkonadi
)

#####
add_executable(searchmailertest searchmailertest.cpp)
target_link_libraries(searchmailertest KPim6::MailCommon)

=== src/folderarchive/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
# Convenience macro to add unit tests.
macro(folderarchive_kmail _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(
        ${_name}
        ${_test}
        ${_name}.h
    )
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(folderararchive-${_name})

    target_link_libraries(
        ${_name}
        Qt::Test
        KPim6::AkonadiCore
        KF6::ConfigCore
        kmailprivate
    )
endmacro()

folderarchive_kmail(folderarchiveaccountinfotest.cpp)

=== agents/mailfilteragent/tests/mailfilteragentdbus/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

set(dbusobjectmanager_xml ../../org.freedesktop.Akonadi.MailFilterAgent.xml)
set_source_files_properties(
    ${dbusobjectmanager_xml}
    PROPERTIES
        INCLUDE
            "../../dbusoperators.h"
)
qt_add_dbus_interfaces(mailagentdbus_gui_SRCS ${dbusobjectmanager_xml})

add_executable(
    mailagentdbus_gui
    mailagentdbus_gui.cpp
    mailagentdbuswidget.h
    mailagentdbuswidget.cpp
    ${mailagentdbus_gui_SRCS}
)

target_link_libraries(
    mailagentdbus_gui
    mailfilteragentprivate
    KPim6::MailCommon
)

=== ktnef/src/pics/hicolor/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
ecm_install_icons( ICONS 22-actions-ktnef_extract_all_to.png  22-actions-ktnef_extract_to.png  48-apps-ktnef.png  DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor)

=== debian/changelog ===
kmail (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:09:35 +0100

=== debian/control ===
--- 
+++ 
@@ -13,15 +13,15 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.08.0~),
-               libakonadicontact-dev (>= 4:25.08.0~),
-               libakonadimime-dev (>= 4:25.08.0~),
-               libakonadisearch-dev (>= 4:25.08.0~),
+               libakonadi-dev (>= 4:25.08.1~),
+               libakonadicontact-dev (>= 4:25.08.1~),
+               libakonadimime-dev (>= 4:25.08.1~),
+               libakonadisearch-dev (>= 4:25.08.1~),
                libgpg-error-dev (>= 1.36~),
                libgpgmepp-dev (>= 1.23.2~),
-               libgravatar-dev (>= 4:25.08.0~),
-               libkcalendarutils-dev (>= 4:25.08.0~),
-               libkdepim-dev (>= 4:25.08.0~),
+               libgravatar-dev (>= 4:25.08.1~),
+               libkcalendarutils-dev (>= 4:25.08.1~),
+               libkdepim-dev (>= 4:25.08.1~),
                libkf6bookmarks-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -48,20 +48,20 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.0~),
-               libkldap-dev (>= 25.08.0~),
-               libkleo-dev (>= 4:25.08.0~),
-               libkmailtransport-dev (>= 25.08.0~),
-               libkmime-dev (>= 25.08.0~),
-               libkontactinterface-dev (>= 25.08.0~),
-               libkpimtextedit-dev (>= 25.08.0~),
-               libksieve-dev (>= 4:25.08.0~),
+               libkidentitymanagement-dev (>= 25.08.1~),
+               libkldap-dev (>= 25.08.1~),
+               libkleo-dev (>= 4:25.08.1~),
+               libkmailtransport-dev (>= 25.08.1~),
+               libkmime-dev (>= 25.08.1~),
+               libkontactinterface-dev (>= 25.08.1~),
+               libkpimtextedit-dev (>= 25.08.1~),
+               libksieve-dev (>= 4:25.08.1~),
                libktextaddons-dev (>= 1.5.4~),
-               libktnef-dev (>= 4:25.08.0~),
-               libmailcommon-dev (>= 4:25.08.0~),
-               libpimcommon-dev (>= 4:25.08.0~),
+               libktnef-dev (>= 4:25.08.1~),
+               libmailcommon-dev (>= 4:25.08.1~),
+               libpimcommon-dev (>= 4:25.08.1~),
                libplasmaactivities-dev (>= 6.1.0~),
-               messagelib-dev (>= 4:25.08.0~),
+               messagelib-dev (>= 4:25.08.1~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),
